Bug 9695 - Use alphabet system preference on page used to browse patrons for patron card batches
Summary: Use alphabet system preference on page used to browse patrons for patron card...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL: /cgi-bin/koha/patroncards/members-sea...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-22 14:38 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 9695 - Use alphabet system preference on page used to browse patrons for patron card batches (4.67 KB, patch)
2013-03-05 21:28 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9695 - Use alphabet system preference on page used to browse patrons for patron card batches (4.75 KB, patch)
2013-03-11 22:55 UTC, David Cook
Details | Diff | Splinter Review
Bug 9695 - Use alphabet system preference on page used to browse patrons for patron card batches (4.75 KB, patch)
2013-03-12 11:24 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-02-22 14:38:43 UTC
When creating batches of patron for patron cards you can browse for patrons to add to a batch. The pop-up window where you perform the search includes a browse-by-letter option like on the patrons home page. This should be updated to use the same system preference created by Bug 2832.
Comment 1 Owen Leonard 2013-03-05 21:28:58 UTC Comment hidden (obsolete)
Comment 2 David Cook 2013-03-11 22:55:04 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-03-12 11:24:37 UTC
QA comment:

No regression found with the default value of the syspref. The only change is the url param member passed with an uppercase instead of a lowercase. But the member search is case insensitive.

Marked as Passed QA.
Comment 4 Jonathan Druart 2013-03-12 11:24:51 UTC
Created attachment 16060 [details] [review]
Bug 9695 - Use alphabet system preference on page used to browse patrons for patron card batches

When adding patrons to a batch for creating patron cards, the template
shows alphabet links for browsing all patrons. This patch converts the
hard-coded alphabet links to use the new alphabet system preference.

To test, go to the patron card creator and create a new batch. Click
"Add items" to pop up the window for browsing for patrons to add to the
batch. You should see a working array of alphabet letters which link to
patron search results.

Signed-off-by: David Cook <dcook@prosentient.com.au>

The patch adds consistency to the interface and works as described.
Comment 5 Jared Camins-Esakov 2013-03-13 12:44:08 UTC
This patch has been pushed to master.
Comment 6 Chris Cormack 2013-03-16 23:34:01 UTC
Pushed to 3.8.x and 3.10.x will be in 3.8.11 and 3.10.4